# PSF-LoginServer - master - net.psforever.objects.geometry.d2.Rectangle
PSF - LoginServer - master - net.psforever.objects.geometry.d2.Rectangle
Keywords: PSF LoginServer master net.psforever.objects.geometry.d2.Rectangle

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d2
  Definition Classes
    geometry
- Flat
- Geometry2D
- Point
- Rectangle

c

net.psforever.objects.geometry.d2

# Rectangle 

###
Companion object Rectangle

#### final case class Rectangle(top: Float, right: Float, base: Float, left: Float, inPlane: AxisAlignment2D) extends Flat with Product with Serializable

An axis-aligned planar region.

top

  the highest "vertical" coordinate

right

  the furthest "horizontal" coordinate

base

  the highest "vertical" coordinate

left

  the nearest "horizontal" coordinate

inPlane

  the axis plan that the geometry occupies; for example, an XY-axis rectangle is Z-up

Source
  Rectangle.scala

Linear Supertypes
Serializable, Product, Equals, Flat, Geometry2D, PrimitiveGeometry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Rectangle
2. Serializable
3. Product
4. Equals
5. Flat
6. Geometry2D
7. PrimitiveGeometry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Rectangle(top: Float, right: Float, base: Float, left: Float, inPlane: AxisAlignment2D)

   top

     the highest "vertical" coordinate

   right

     the furthest "horizontal" coordinate

   base

     the highest "vertical" coordinate

   left

     the nearest "horizontal" coordinate

   inPlane

     the axis plan that the geometry occupies; for example, an XY-axis rectangle is Z-up

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val base: Float
6.  def center: Point

   The centroid of the geometry.

   The centroid of the geometry.

   returns

     a point

   Definition Classes
     Rectangle → Geometry2D → PrimitiveGeometry
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  val inPlane: AxisAlignment2D
    Definition Classes
      Rectangle → Geometry2D
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val left: Float
14.  def moveCenter(point: geometry.Point): Rectangle

    Move the centroid of the shape to the given point

    Move the centroid of the shape to the given point

    point

      the new center point

    returns

      geometry centered on the new point; ideally, should be the same type of geometry as the original object

    Definition Classes
      Rectangle → PrimitiveGeometry
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def pointOnOutside(v: Vector3): Point
    Definition Classes
      Geometry2D
19.  def productElementNames: Iterator[String]
    Definition Classes
      Product
20.  val right: Float
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  val top: Float
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Flat

### Inherited from Geometry2D

### Inherited from PrimitiveGeometry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped